Aggiornamento da 3.0.3

Supporto per phpBB 3.2.x.
Rispondi
Astrovic
Utente
Utente
Messaggi: 4
Iscritto il: 27/01/2017, 15:18
Sesso: Maschio
Versione: 3.0.3
Server: UNIX/Linux
PHP: 5.3.29
Database: MySQL 5.0.92-enterprise-gpl-log

Aggiornamento da 3.0.3

Messaggio da Astrovic » 27/01/2017, 16:10

Ciao, ho un forum installato nel 2008 usando phpbb 3.0.3. Da allora non ho fatto aggiornamenti :roll:

Nello stesso dominio utilizzo anche Wordpress, col quale condivido il database. Poiché ho dovuto aggiornare Wordpress all'ultima versione 4.7, ho dovuto modificare la versione php del server alla 5.3.29.
Ho notato però che adesso ho qualche problema al forum, ad esempio non riesco a scaricare alcuni allegati, ed a volte quando passo da una sezione del forum ad un'altra, devo rieseguire il login. Questo mi ha spinto a voler aggiornare il forum, ed a quanto vedo l'ultima versione è la 3.2.0, uscita da poco.

Nel mio forum attuale ho fatto poche modifiche al tema Prosilver ed utilizzato queste due MOD:
- PHP SEO (0.4.8)
Schermata 2017-01-27 alle 15.49.28.png
- Facebook Connect (ricordo che per questo avevo modificato manualmente diversi file seguendo qualche guida, ma nemmeno funziona più)

Ho scaricato MAMP (uso OSX) per fare un test da locale, impostando server php 5.3.29, come quello che uso sul dominio.
Dal menu SISTEMA > GESTIONE MODULI del PCA ho disabilitato e poi rimosso le due MOD.
Ho seguito la guida https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ rimuovendo le cartelle ed aggiungendo quelle nuove, sostituendo i file nelle root.
Vado su http://localhost:8888/forum/install/ ed inizio l'update del databse, ma ricevo questo errore:
Schermata 2017-01-27 alle 16.03.02.png
Ho anche provato da terminale col comando

Codice: Seleziona tutto

php ./bin/phpbbcli.php db:migrate --safe-mode
ma anche da lì ricevo questo errore:

Codice: Seleziona tutto

Fatal error: Uncaught exception 'InvalidArgumentException' with message 'The file "production/config.yml" does not exist (in: ).' in /Applications/MAMP/htdocs/forum/vendor/symfony/config/FileLocator.php:69
Stack trace:
#0 /Applications/MAMP/htdocs/forum/vendor/symfony/dependency-injection/Loader/YamlFileLoader.php(42): Symfony\Component\Config\FileLocator->locate('production/conf...')
#1 /Applications/MAMP/htdocs/forum/phpbb/di/container_builder.php(185): Symfony\Component\DependencyInjection\Loader\YamlFileLoader->load('production/conf...')
#2 /Applications/MAMP/htdocs/forum/bin/phpbbcli.php(68): phpbb\di\container_builder->get_container()
#3 {main}
  thrown in /Applications/MAMP/htdocs/forum/vendor/symfony/config/FileLocator.php on line 69
Mac-mini-di-Astrovic:forum Astrovic$ 
Mac-mini-di-Astrovic:forum Astrovic$ php ./bin/phpbbcli.php db:migrate --safe-mode

Fatal error: SQL ERROR [ mysql4 ]<br /><br />No such file or directory [2002]<br /><br />An sql error occurred while fetching this page. Please contact an administrator if this problem persists. in /Applications/MAMP/htdocs/forum/phpbb/db/driver/driver.php on line 999
Mac-mini-di-Astrovic:forum Astrovic$ php ./bin/phpbbcli.php db:migrate --safe-mode
Avete qualche suggerimento? Purtroppo è la prima volta che mi addentro in questo genere di modifiche.
Grazie ;)
Non hai i permessi necessari per visualizzare i file allegati in questo messaggio.

Avatar utente
Barrnet
Leader Moderatori
Leader Moderatori
Messaggi: 3123
Iscritto il: 04/07/2010, 23:31
Sesso: Maschio
Versione: 3.0.10
Server: UNIX/Linux
PHP: 5.3.10
Database: MySQL 5.1.61-community-log
Contatta:

Re: Aggiornamento da 3.0.3

Messaggio da Barrnet » 28/01/2017, 20:36

Prova ad aggiornare a step. Aggiorna prima alla versione 3.0.14 (La trovi qui), poi a phpBB3.1 ed infine a phpbb 3.2. Durante l'aggiornamento, scegli di usare i file puliti e pulisci prima il database dalle modifiche tramite il Support Tool Kit (lo puoi scaricare qui).

Astrovic
Utente
Utente
Messaggi: 4
Iscritto il: 27/01/2017, 15:18
Sesso: Maschio
Versione: 3.0.3
Server: UNIX/Linux
PHP: 5.3.29
Database: MySQL 5.0.92-enterprise-gpl-log

Re: Aggiornamento da 3.0.3

Messaggio da Astrovic » 29/01/2017, 12:30

Grazie Barnet, grazie per il suggerimento, domani farò una prova e ti faccio sapere!

Ne approfitto per chiedere un'altra info. Ho visto che a partire dalla 3.1.x non ci sono più le MOD, dunque io che avevo il rewrite degli url, tramite la mod PHP SEO, come potrei fare a non perdere l'indicizzazione degli url? In quasi 10 anni sono tutti indicizzati su google e sparsi sul web in molti siti.

Astrovic
Utente
Utente
Messaggi: 4
Iscritto il: 27/01/2017, 15:18
Sesso: Maschio
Versione: 3.0.3
Server: UNIX/Linux
PHP: 5.3.29
Database: MySQL 5.0.92-enterprise-gpl-log

Re: Aggiornamento da 3.0.3

Messaggio da Astrovic » 30/01/2017, 17:41

Ciao Barnet,
siccome non vorrei perdere l'indicizzazione degli url, al momento forrei fermarmi allo step per l'aggiornamento alla 3.0.14.
Ho provato a fare l'update col pacchetto phpBB-3.0.3_to_3.0.14.zip, solo che riesco a fare solo l'aggiornamento del database (/install/database_update.php). Se invece vado direttamente alla pagina /install non compare nulla. È normale?
Ho anche provato ad inserire manualmente i file presenti in /install/update/new, dopo aver fatto l'update del database, ma non funziona più il forum. Dunque ho ripristinato i file precedenti ed ho fatto solo l'update del database.
Sto usando la versione PHP 5.5.38

Rispondi

Torna a “[3.2.x] Forum di Supporto”

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite